Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227802 - soft lockup in rtl8139_poll
Summary: soft lockup in rtl8139_poll
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 10:25 UTC by Doug Maxey
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.6.19-1.2911.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 20:04:19 UTC


Attachments (Terms of Use)

Description Doug Maxey 2007-02-08 10:25:43 UTC
Description of problem:
Feb  7 16:06:12 bebe kernel:  [<c0405018>] dump_trace+0x69/0x1b6
Feb  7 16:06:12 bebe kernel:  [<c040517d>] show_trace_log_lvl+0x18/0x2c
Feb  7 16:06:12 bebe kernel:  [<c0405778>] show_trace+0xf/0x11
Feb  7 16:06:12 bebe kernel:  [<c0405875>] dump_stack+0x15/0x17
Feb  7 16:06:12 bebe kernel:  [<c04522c5>] softlockup_tick+0xad/0xc4
Feb  7 16:06:12 bebe kernel:  [<c0430d8f>] update_process_times+0x39/0x5c
Feb  7 16:06:12 bebe kernel:  [<c0419f5a>] smp_apic_timer_interrupt+0x95/0xb3
Feb  7 16:06:12 bebe kernel:  [<c0404a57>] apic_timer_interrupt+0x1f/0x24
Feb  7 16:06:12 bebe kernel:  [<c062586d>] __read_lock_failed+0x5/0x10
Feb  7 16:06:12 bebe kernel:  [<c04f377e>] _raw_read_lock+0x23/0x25
Feb  7 16:06:12 bebe kernel:  [<c05fbd3d>] tcp_v4_rcv+0x214/0x8a7
Feb  7 16:06:12 bebe kernel:  [<c05e3299>] ip_local_deliver+0x185/0x23c
Feb  7 16:06:12 bebe kernel:  [<c05e30d7>] ip_rcv+0x44f/0x48c
Feb  7 16:06:12 bebe kernel:  [<c05c6b95>] netif_receive_skb+0x2ea/0x370
Feb  7 16:06:12 bebe kernel:  [<f895ab62>] rtl8139_poll+0x2de/0x453 [8139too]
Feb  7 16:06:12 bebe kernel:  [<c05c86f2>] net_rx_action+0x92/0x17b
Feb  7 16:06:12 bebe kernel:  [<c042c041>] __do_softirq+0x5a/0xbb
Feb  7 16:06:12 bebe kernel:  [<c0406435>] do_softirq+0x55/0xb5
Feb  7 16:06:12 bebe kernel:  =======================


Version-Release number of selected component (if applicable):
bebe ~# uname -r
2.6.19-1.2895.fc6


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
This occurred about 1.5 hour after an ext3 corruption.  Probably not related.
Feb  7 14:31:08 bebe kernel: EXT3-fs error (device dm-7): ext3_free_blocks_sb:
bit already cleared for block 10434889

Comment 1 Chuck Ebbert 2007-02-11 19:18:12 UTC
This should be fixed in the next kernel update.
Please test and report back.



Note You need to log in before you can comment on or make changes to this bug.